[packages/php-pecl-tcpwrap] add branch.diff, fixes build on php 5.5

glen glen at pld-linux.org
Wed Jun 11 09:39:26 CEST 2014


commit 4e80978ecc18e0013a9ad64b53790fa752cd5b4a
Author: Elan Ruusamäe <glen at delfi.ee>
Date:   Wed Jun 11 10:39:08 2014 +0300

    add branch.diff, fixes build on php 5.5

 branch.diff           | 24 ++++++++++++++++++++++++
 branch.sh             | 25 +++++++++++++++++++++++++
 php-pecl-tcpwrap.spec |  4 +++-
 3 files changed, 52 insertions(+), 1 deletion(-)
---
diff --git a/php-pecl-tcpwrap.spec b/php-pecl-tcpwrap.spec
index ac37225..ca54955 100644
--- a/php-pecl-tcpwrap.spec
+++ b/php-pecl-tcpwrap.spec
@@ -5,11 +5,12 @@ Summary:	%{modname} - tcpwrapper bindings
 Summary(pl.UTF-8):	%{modname} - dowiązania tcpwrapper
 Name:		%{php_name}-pecl-%{modname}
 Version:	1.1.3
-Release:	8
+Release:	9
 License:	PHP 3.01
 Group:		Development/Languages/PHP
 Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
 # Source0-md5:	6db26ebbf6c59fedf2228e662fe78e3e
+Patch0:		branch.diff
 URL:		http://pecl.php.net/package/tcpwrap/
 BuildRequires:	%{php_name}-devel >= 3:5.0.4
 BuildRequires:	libwrap-devel
@@ -33,6 +34,7 @@ To rozszerzenie ma w PECL status: %{status}.
 %prep
 %setup -qc
 mv %{modname}-%{version}/* .
+%patch0 -p0
 
 %build
 phpize
diff --git a/branch.diff b/branch.diff
new file mode 100644
index 0000000..a012888
--- /dev/null
+++ b/branch.diff
@@ -0,0 +1,24 @@
+Index: package.xml
+===================================================================
+--- package.xml	(.../tags/RELEASE_1_1_3)
++++ package.xml	(.../trunk)
+
+Property changes on: package.xml
+___________________________________________________________________
+Deleted: svn:mime-type
+## -1 +0,0 ##
+-application/xml
+\ No newline at end of property
+Index: tcpwrap.c
+===================================================================
+--- tcpwrap.c	(.../tags/RELEASE_1_1_3)
++++ tcpwrap.c	(.../trunk)
+@@ -39,7 +39,7 @@
+  *
+  * Every user visible function must have an entry in tcpwrap_functions[].
+  */
+-function_entry tcpwrap_functions[] = {
++zend_function_entry tcpwrap_functions[] = {
+ 	PHP_FE(tcpwrap_check,	NULL)		/* For testing, remove later. */
+ 	{NULL, NULL, NULL}	/* Must be the last line in tcpwrap_functions[] */
+ };
diff --git a/branch.sh b/branch.sh
new file mode 100755
index 0000000..a3b77cf
--- /dev/null
+++ b/branch.sh
@@ -0,0 +1,25 @@
+#!/bin/sh
+set -e
+pecl=tcpwrap
+svn=http://svn.php.net/repository/pecl/$pecl
+tag=RELEASE_1_1_3
+out=branch.diff
+
+d=$-
+filter() {
+	set -$d
+	# remove revno's for smaller diffs
+	sed -e 's,^\([-+]\{3\} .*\)\t(revision [0-9]\+)$,\1,'
+}
+
+old=$svn/tags/$tag
+new=$svn/trunk
+echo >&2 "Running diff: $old -> $new"
+LC_ALL=C svn diff --old=$old --new=$new | filter > $out.tmp
+
+if cmp -s $out{,.tmp}; then
+	echo >&2 "No new diffs..."
+	rm -f $out.tmp
+	exit 0
+fi
+mv -f $out{.tmp,}
================================================================

---- gitweb:

http://git.pld-linux.org/gitweb.cgi/packages/php-pecl-tcpwrap.git/commitdiff/4e80978ecc18e0013a9ad64b53790fa752cd5b4a



More information about the pld-cvs-commit mailing list